package com.fp.common.helper;

/**
 * Enumeracion que maneja los distintos dialectos de base de datos. 
 * @author Jorge Vaca
 * @version 2.1
 */
public enum DialectDB {

	ORACLE("org.hibernate.dialect.Oracle10gDialect"),
	SYBASE("org.hibernate.dialect.SybaseDialect"),
        POSTGRES("org.hibernate.dialect.PostgreSQLDialect")
	;
	
	/**Codigo de dialecto de la base de datos.*/
	private String code;
	
	/**
	 * Crea una instancia de la enumeracion. 
	 * @param pCode	Codigo de dialecto. 
	 */
	DialectDB(String pCode){
		code = pCode;
	}

	
	
	/**
	 * Entrega el valor del dialecto de la enumeracion. 
	 * @return	String
	 * @throws Exception
	 */
	public String getCode() throws Exception {
		return code;
	}
	
}
